io.etcd.jetcd.api

## Enum AlarmRequest.AlarmAction

- java.lang.Object
- - java.lang.Enum<AlarmRequest.AlarmAction>
  - - io.etcd.jetcd.api.AlarmRequest.AlarmAction

All Implemented Interfaces:
  com.google.protobuf.Internal.EnumLite, com.google.protobuf.ProtocolMessageEnum, Serializable, Comparable<AlarmRequest.AlarmAction>

Enclosing class:
  AlarmRequest

    public static enum AlarmRequest.AlarmAction
    extends Enum<AlarmRequest.AlarmAction>
    implements com.google.protobuf.ProtocolMessageEnum

Protobuf enum `etcdserverpb.AlarmRequest.AlarmAction`

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ACTIVATE` `ACTIVATE = 1;`
`DEACTIVATE` `DEACTIVATE = 2;`
`GET` `GET = 0;`
`UNRECOGNIZED`

### Field Summary

Fields
`static int` `ACTIVATE_VALUE` `ACTIVATE = 1;`
`static int` `DEACTIVATE_VALUE` `DEACTIVATE = 2;`
`static int` `GET_VALUE` `GET = 0;`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`static AlarmRequest.AlarmAction` `forNumber(int value)`
`static com.google.protobuf.Descriptors.EnumDescriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.EnumDescriptor` `getDescriptorForType()`
`int` `getNumber()`
`com.google.protobuf.Descriptors.EnumValueDescriptor` `getValueDescriptor()`
`static com.google.protobuf.Internal.EnumLiteMap<AlarmRequest.AlarmAction>` `internalGetValueMap()`
`static AlarmRequest.AlarmAction` `valueOf(com.google.protobuf.Descriptors.EnumValueDescriptor desc)`
`static AlarmRequest.AlarmAction` `valueOf(int value)` Deprecated. Use `forNumber(int)` instead.
`static AlarmRequest.AlarmAction` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static AlarmRequest.AlarmAction[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### GET

    public static final AlarmRequest.AlarmAction GET

`GET = 0;`

#### ACTIVATE

    public static final AlarmRequest.AlarmAction ACTIVATE

`ACTIVATE = 1;`

#### DEACTIVATE

    public static final AlarmRequest.AlarmAction DEACTIVATE

`DEACTIVATE = 2;`

#### UNRECOGNIZED

    public static final AlarmRequest.AlarmAction UNRECOGNIZED

### Field Detail

#### GET_VALUE

    public static final int GET_VALUE

`GET = 0;`

See Also:
  Constant Field Values

#### ACTIVATE_VALUE

    public static final int ACTIVATE_VALUE

`ACTIVATE = 1;`

See Also:
  Constant Field Values

#### DEACTIVATE_VALUE

    public static final int DEACTIVATE_VALUE

`DEACTIVATE = 2;`

See Also:
  Constant Field Values

### Method Detail

#### values

    public static AlarmRequest.AlarmAction[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (AlarmRequest.AlarmAction c : AlarmRequest.AlarmAction.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static AlarmRequest.AlarmAction valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getNumber

    public final int getNumber()

Specified by:
  `getNumber` in interface `com.google.protobuf.Internal.EnumLite`
Specified by:
  `getNumber` in interface `com.google.protobuf.ProtocolMessageEnum`

#### valueOf

    @Deprecated
    public static AlarmRequest.AlarmAction valueOf(int value)

Deprecated. Use `forNumber(int)` instead.

Parameters:
  `value` - The numeric wire value of the corresponding enum entry.
Returns:
  The enum associated with the given numeric wire value.

#### forNumber

    public static AlarmRequest.AlarmAction forNumber(int value)

Parameters:
  `value` - The numeric wire value of the corresponding enum entry.
Returns:
  The enum associated with the given numeric wire value.

#### internalGetValueMap

    public static com.google.protobuf.Internal.EnumLiteMap<AlarmRequest.AlarmAction> internalGetValueMap()

#### getValueDescriptor

    public final com.google.protobuf.Descriptors.EnumValueDescriptor getValueDescriptor()

Specified by:
  `getValueDescriptor` in interface `com.google.protobuf.ProtocolMessageEnum`

#### getDescriptorForType

    public final com.google.protobuf.Descriptors.EnumDescriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.ProtocolMessageEnum`

#### getDescriptor

    public static final com.google.protobuf.Descriptors.EnumDescriptor getDescriptor()

#### valueOf

    public static AlarmRequest.AlarmAction valueOf(com.google.protobuf.Descriptors.EnumValueDescriptor desc)